curl --request GET \
--url https://api.tread-horizon.com/v1/jobs/{job-id}/loads/cycles \
--header 'Authorization: Bearer <token>'{
"data": {
"load_cycles": [
{
"from_load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"time_minutes": 123
}
],
"load_cycle_time_minutes_avg": 123
}
}Retrieve all LoadCycles for a Job.
A LoadCycle is an edge between two consecutive Loads that have reached the arrived_pickup state on a given Job.
The response includes all calculated LoadCycles as well as the average time (in minutes).
curl --request GET \
--url https://api.tread-horizon.com/v1/jobs/{job-id}/loads/cycles \
--header 'Authorization: Bearer <token>'{
"data": {
"load_cycles": [
{
"from_load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"time_minutes": 123
}
],
"load_cycle_time_minutes_avg": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Job ID
OK
Show child attributes